package com.fjhx.account.entity.account.vo;

import com.fjhx.account.entity.account.po.AccountRequestFunds;
import com.fjhx.account.entity.account.po.AccountRequestFundsDetail;
import com.fjhx.file.entity.ObsFile;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 请款表列表查询返回值实体
 *
 * @author
 * @since 2023-04-10
 */
@Getter
@Setter
public class AccountRequestFundsVo extends AccountRequestFunds {
    /**
     * 归属公司名称
     */
    private String corporationName;

    /**
     * 归属部门名称
     */
    private String deptName;

    /**
     * 请款人名称
     */
    private String userName;

    //请款详情表的信息
    private List<AccountRequestFundsDetail> accountRequestFundsDetailList;

    /**
     * 附件信息
     */
    private List<ObsFile> fileList;
}
